Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_hash_delete

## Name

librdf_hash_delete -- Delete a key/value pair from the hash

## Synopsis

``int `librdf_hash_delete`` (librdf_hash* `hash`, librdf_hash_datum * `key`, librdf_hash_datum * `value`);`

## Arguments

`hash`

  hash object

`key`

  key

`value`

  value

## Return value

non 0 on failure (including pair not present)

<<< Previous | Home | Next >>>
librdf_hash_exists | Up | librdf_hash_delete_all